Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.2 Java API Reference 10g Release 3 (10.1.3) B25385-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.liberty.v12
Class OldProvidedNameIdentifier

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.saml.NameIdentifier
oracle.security.xmlsec.liberty.v12.OldProvidedNameIdentifier`

public class OldProvidedNameIdentifier
extends oracle.security.xmlsec.saml.NameIdentifier

Liberty OldProvidedNameIdentifier element. This element is used in the RegisterNameIdentifierRequest element to hold the previous version of provided name identifier if either provider choosing to change it.

Field Summary

Fields inherited from class oracle.security.xmlsec.saml.NameIdentifier
`EMAIL_ADDRESS, NAME_ID_FORMAT_EMAIL_ADDRESS, NAME_ID_FORMAT_UNSPECIFIED, NAME_ID_FORMAT_WINDOWS_DOMAIN_QNAME, NAME_ID_FORMAT_X509_SUBJECT_NAME, WINDOWS_DOMAIN_QNAME, X509_SUBJECT_NAME`

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`OldProvidedNameIdentifier(org.w3c.dom.Document owner)` Creates a new `OldProvidedNameIdentifier` instance.
`OldProvidedNameIdentifier(org.w3c.dom.Element element)` Creates a new `OldProvidedNameIdentifier` instance from the given Element node.
`OldProvidedNameIdentifier(org.w3c.dom.Element element, java.lang.String SystemId)` Creates a new `OldProvidedNameIdentifier` instance from the given Element node.

Methods inherited from class oracle.security.xmlsec.saml.NameIdentifier
`getFormat, getNameQualifier, getSubjectName, getValue, setFormat, setNameQualifier, setSubjectName, setValue`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OldProvidedNameIdentifier

    public OldProvidedNameIdentifier(org.w3c.dom.Element element)
                              throws org.w3c.dom.DOMException

  Creates a new `OldProvidedNameIdentifier` instance from the given Element node.
Parameters:
  `element` - A Liberty OldProvidedNameIdentifier element.

### OldProvidedNameIdentifier

    public OldProvidedNameIdentifier(org.w3c.dom.Element element,
                                     java.lang.String SystemId)
                              throws org.w3c.dom.DOMException

  Creates a new `OldProvidedNameIdentifier` instance from the given Element node.
Parameters:
  `element` - A Liberty OldProvidedNameIdentifier element.

### OldProvidedNameIdentifier

    public OldProvidedNameIdentifier(org.w3c.dom.Document owner)
                              throws org.w3c.dom.DOMException

  Creates a new `OldProvidedNameIdentifier` instance.
Parameters:
  `owner` - The owner document of the new OldProvidedNameIdentifier.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.2 Java API Reference 10g Release 3 (10.1.3) B25385-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.